Set a detection alert status
- Base URL
-
https://{kibana_url}
- POST /api/detection_engine/signals/status
- POST /s/{space_id}/api/detection_engine/signals/status
Set the status of one or more detection alerts.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
An object containing desired status and explicit alert ids or a query to select alerts
One of:status: closed
-
reasonunion oneOf -
The reason for closing the alerts. Can be one of following predefined reasons: [false_positive, duplicate, true_positive, benign_positive, automated_closure, other] or a custom reason provided by the user through the advanced settings.
-
Values:
false_positiveduplicatetrue_positivebenign_positiveautomated_closureother
status: open | acknowledged | in-progress
status: closed
-
reasonunion oneOf -
The reason for closing the alerts. Can be one of following predefined reasons: [false_positive, duplicate, true_positive, benign_positive, automated_closure, other] or a custom reason provided by the user through the advanced settings.
-
Values:
false_positiveduplicatetrue_positivebenign_positiveautomated_closureother -
runtime_fieldsmap string to enum · max properties: 100 -
Optional map of field name to runtime field type. For each entry, the server defines a runtime field of the given type that reads its value from
_source[fieldName]and attaches it to the underlying_update_by_queryasruntime_mappings. Allows thequeryto reference non-ECS fields stored on the alert_sourcebut not in the alerts index mapping — for example, runtime fields the rule's source index defined at the time the alerts were created. Limited to 100 entries per request; larger maps are rejected. -
<string>enum -
Values:
keywordlongdoubledateipbooleangeo_point -
runtime_mappingsmap string to object · max properties: 100 -
Use this when the query references fields that are not in the alerts index mapping, for example data view runtime fields with a Painless script. Kibana sends
type,script.source, andformatto Elasticsearch asruntime_mappingson the status-update query. Unlikeruntime_fields, Kibana keeps your script and runs it at query time. It does not replace the script with a_sourcereader. When a script is present, Kibana setson_script_errortocontinue. If the script fails on one alert, that field has no value for the alert and the update continues. Unique field names acrossruntime_fieldsandruntime_mappingscombined cannot exceed 100. Larger maps are rejected.
status: open | acknowledged | in-progress
-
statusenumrequired -
The status of an alert, which can be
open,acknowledged,in-progress, orclosed. -
Values:
openacknowledgedin-progress -
runtime_fieldsmap string to enum · max properties: 100 -
Optional map of field name to runtime field type. For each entry, a runtime field of the specified type is created reading its value from
_source[fieldName]and included in the query asruntime_mappings. Use this to reference fields stored on the alert_sourcethat are not part of the Elastic Common Schema (ECS) of the alerts index mapping, for example, custom fields that the rule's source index defined when the alerts were created. -
<string>enum -
Values:
keywordlongdoubledateipbooleangeo_point -
runtime_mappingsmap string to object · max properties: 100 -
Use this when the query references fields that are not in the alerts index mapping, for example data view runtime fields with a Painless script. Kibana sends
type,script.source, andformatto Elasticsearch asruntime_mappingson the status-update query. Unlikeruntime_fields, Kibana keeps your script and runs it at query time. It does not replace the script with a_sourcereader. When a script is present, Kibana setson_script_errortocontinue. If the script fails on one alert, that field has no value for the alert and the update continues. Unique field names acrossruntime_fieldsandruntime_mappingscombined cannot exceed 100. Larger maps are rejected.
Responses
Successful response
Response Type: object
Invalid input data response
Unsuccessful authentication response